Debian Bug report logs - #690183
RFP: apt-fast -- shellscript wrapper for apt-get or aptitude

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dominique Lasserre <lasserre.d@gmail.com>

Date: Wed, 10 Oct 2012 21:57:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, lasserre.d@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#690183; Package wnpp. (Wed, 10 Oct 2012 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Lasserre <lasserre.d@gmail.com>:
New Bug report received and forwarded. Copy sent to lasserre.d@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 10 Oct 2012 21:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominique Lasserre <lasserre.d@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: apt-fast -- shellscript wrapper for apt-get or aptitude
Date: Wed, 10 Oct 2012 23:53:31 +0200
Package: wnpp
Severity: wishlist
Owner: Dominique Lasserre <lasserre.d@gmail.com>

* Package name    : apt-fast
  Version         : 0.7.6
  Upstream Authors: Matt Parnell, Dominique Lasserre
* URL             : https://github.com/ilikenwf/apt-fast.git
* License         : GPL-3+
  Programming Lang: Bash
  Description     : shellscript wrapper for apt-get or aptitude

apt-fast is a shellscript wrapper for apt-get that can drastically improve apt
download times by downloading packages in parallel, with multiple connections
per package.
It uses aria2 oder axel as download managers and apt-get --print-uris to get
download URLs.
Bash and Zsh autocompletion included (derived from distributed apt-get).



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#690183; Package wnpp. (Thu, 11 Oct 2012 01:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Thu, 11 Oct 2012 01:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 690183@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Dominique Lasserre <lasserre.d@gmail.com>, 690183@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#690183: ITP: apt-fast -- shellscript wrapper for apt-get or aptitude
Date: Thu, 11 Oct 2012 10:26:47 +0900
On Wed, 10 Oct 2012 23:53:31 +0200
Dominique Lasserre <lasserre.d@gmail.com> wrote:
> * Package name    : apt-fast

> apt-fast is a shellscript wrapper for apt-get that can drastically improve apt
> download times by downloading packages in parallel, with multiple connections
> per package.

 well, isn't it huge load for repository servers?


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Added blocking bug(s) of 690183: 690188 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Thu, 11 Oct 2012 04:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#690183; Package wnpp. (Thu, 11 Oct 2012 05:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Thu, 11 Oct 2012 05:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 690183@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: debian-devel@lists.debian.org
Cc: 690183@bugs.debian.org
Subject: Re: Bug#690183: ITP: apt-fast -- shellscript wrapper for apt-get or aptitude
Date: Thu, 11 Oct 2012 07:55:24 +0200
[Message part 1 (text/plain, inline)]
On Oct 11, Hideki Yamane <henrich@debian.or.jp> wrote:

> > apt-fast is a shellscript wrapper for apt-get that can drastically improve apt
> > download times by downloading packages in parallel, with multiple connections
> > per package.
>  well, isn't it huge load for repository servers?
As a mirror operator I consider this antisocial.
As a developer, I doubt that this can provide significant speed 
improvements other than for pathological cases.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#690183; Package wnpp. (Thu, 11 Oct 2012 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Thu, 11 Oct 2012 13:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 690183@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: debian-devel@lists.debian.org, 690183@bugs.debian.org
Subject: Re: Bug#690183: ITP: apt-fast -- shellscript wrapper for apt-get or aptitude
Date: Thu, 11 Oct 2012 09:59:35 -0300
[Message part 1 (text/plain, inline)]
On Thu 11 Oct 2012 02:55:24 Marco d'Itri escribió:
> On Oct 11, Hideki Yamane <henrich@debian.or.jp> wrote:
> > > apt-fast is a shellscript wrapper for apt-get that can drastically
> > > improve apt download times by downloading packages in parallel, with
> > > multiple connections per package.
> >  
> >  well, isn't it huge load for repository servers?
> 
> As a mirror operator I consider this antisocial.

True.

> As a developer, I doubt that this can provide significant speed
> improvements other than for pathological cases.

Well, parallel download does **greatly** improves speed when you access 
international servers, like we had to do in Argentina until some few weeks 
ago.

Of course, being able to download stuff from two different servers at the same 
time had a better end result, and as long as is one download at a time per 
server, I think it can be considered socially acceptable.

Regards, Lisandro.

-- 
The generation of random numbers is too important to be left to chance.
  http://www.devtopics.com/best-programming-jokes/

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#690183; Package wnpp. (Thu, 11 Oct 2012 13:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Thu, 11 Oct 2012 13:03:05 GMT) Full text and rfc822 format available.

Message #27 received at 690183@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: debian-devel@lists.debian.org
Cc: 690183@bugs.debian.org
Subject: Re: Bug#690183: ITP: apt-fast -- shellscript wrapper for apt-get or aptitude
Date: Thu, 11 Oct 2012 10:00:29 -0300
[Message part 1 (text/plain, inline)]
On Thu 11 Oct 2012 09:59:35 Lisandro Damián Nicanor Pérez Meyer escribió:
[snip] 
> Well, parallel download does **greatly** improves speed when you access
> international servers, like we had to do in Argentina until some few weeks
> ago.

WRT non i386/amd64 archs.

-- 
Programming today is a race between software engineers striving to build
bigger and better idiot-proof programs, and the Universe trying to produce
bigger and better idiots. So far, the Universe is winning.
  Anonymous

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#690183; Package wnpp. (Thu, 11 Oct 2012 15:09:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Thu, 11 Oct 2012 15:09:18 GMT) Full text and rfc822 format available.

Message #32 received at 690183@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies@gmail.com>
To: Dominique Lasserre <lasserre.d@gmail.com>, 690183@bugs.debian.org
Subject: Re: Bug#690183: ITP: apt-fast -- shellscript wrapper for apt-get or aptitude
Date: Thu, 11 Oct 2012 16:52:40 +0200
On Wed, Oct 10, 2012 at 11:53 PM, Dominique Lasserre
<lasserre.d@gmail.com> wrote:
> It uses aria2 oder axel as download managers and apt-get --print-uris to get
> download URLs.

What it omits is using the checksums included in that output and therefore
falling victim to MITM attacks as it downloads directly to the archives dir
which APT considers a safe harbor and so doesn't validate its content again.

(APT checks the filesize as it is basically a free check, but the time-
 consuming calculation of checksums is omitted as this was already checked
 at download time with the move from ./partial/ to its final storage space
 and wouldn't improve security anyway as you would still have the time
 between the check and dpkg calling for a local attack …)

If there is really a need for a different methodology of downloading I would
suggest to write a new apt-transport-* rather than a wrapper around the
complete package manager. If people managed to bring bittorrent to APT this
way, I am sure you can work out how to use your beloved $DOWNLOADMANAGER, too,
if needed at all (yes, I have my doubts).

I presume it will be even shorter in size of code, secure and more robust -
even if you write it in bash, which you can btw: It is a text interface.
Oh, and try dir::cache::archives="/tmp" and you will know why apt-config has
flags for these dir options instead of forcing people to build paths by hand.

In the meantime feel free to use services like http.debian.net or experiment
with the mirror apt-transport which both don't depend on you being the only
"lets add more own 'cars' to the traffic jam to get more through" person
and the placebo effect.


Best regards

David Kalnischkies ~ an "apt-slow" contributor



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#690183; Package wnpp. (Thu, 11 Oct 2012 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <wouter@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Thu, 11 Oct 2012 17:00:03 GMT) Full text and rfc822 format available.

Message #37 received at 690183@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <wouter@debian.org>
To: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
Cc: debian-devel@lists.debian.org, 690183@bugs.debian.org
Subject: Re: Bug#690183: ITP: apt-fast -- shellscript wrapper for apt-get or aptitude
Date: Thu, 11 Oct 2012 18:22:50 +0200
On Thu, Oct 11, 2012 at 09:59:35AM -0300, Lisandro Damián Nicanor Pérez Meyer wrote:
> Of course, being able to download stuff from two different servers at the same 
> time had a better end result, and as long as is one download at a time per 
> server, I think it can be considered socially acceptable.

Yes, which is why there's

Acquire::Queue-Mode "host";

see apt.conf(5) for the full details on this one. You don't need shell
scripts and things like axel to get this.

-- 
Copyshops should do vouchers. So that next time some bureaucracy requires you
to mail a form in triplicate, you can mail it just once, add a voucher, and
save on postage.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#690183; Package wnpp. (Thu, 11 Oct 2012 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Lasserre <lasserre.d@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Thu, 11 Oct 2012 20:54:03 GMT) Full text and rfc822 format available.

Message #42 received at 690183@bugs.debian.org (full text, mbox):

From: Dominique Lasserre <lasserre.d@googlemail.com>
To: 690183@bugs.debian.org
Cc: Wouter Verhelst <wouter@debian.org>, Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
Subject: Re: Bug#690183: ITP: apt-fast -- shellscript wrapper for apt-get or aptitude
Date: Thu, 11 Oct 2012 22:50:54 +0200
[Message part 1 (text/plain, inline)]
Hi,

wow, didn't thought there is much noise. Thank you all for your feedback!

I added mirror support to download files from multiple mirrors at once
(aria2 only) and now md5 hashes are checked (thanks David for the
hint!). aria2 supports this ootb so no big changes were needed on
apt-fast itself.


On 11/10/12 18:22, Wouter Verhelst wrote:
> On Thu, Oct 11, 2012 at 09:59:35AM -0300, Lisandro Damián Nicanor Pérez Meyer wrote:
>> Of course, being able to download stuff from two different servers at the same 
>> time had a better end result, and as long as is one download at a time per 
>> server, I think it can be considered socially acceptable.
> 
> Yes, which is why there's
> 
> Acquire::Queue-Mode "host";
Nice "hidden" feature!

But this option and the mirror: protocol doesn't support downloading
from multiple servers with same archive or am I missing something? If
this is already present there aren't any arguments of using apt-fast.
This is the single feature of this wrapper: Downloading same file over
multiple connections.


Regards
Dominique
[0xB2E4F4F3.asc (application/pgp-keys, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#690183; Package wnpp. (Thu, 11 Oct 2012 20:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Lasserre <lasserre.d@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Thu, 11 Oct 2012 20:54:05 GMT) Full text and rfc822 format available.

Message #47 received at 690183@bugs.debian.org (full text, mbox):

From: Dominique Lasserre <lasserre.d@googlemail.com>
To: 690183@bugs.debian.org
Cc: David Kalnischkies <kalnischkies@gmail.com>
Subject: Re: Bug#690183: ITP: apt-fast -- shellscript wrapper for apt-get or aptitude
Date: Thu, 11 Oct 2012 22:51:46 +0200
[Message part 1 (text/plain, inline)]
Hi

On 11/10/12 16:52, David Kalnischkies wrote:
> On Wed, Oct 10, 2012 at 11:53 PM, Dominique Lasserre
> <lasserre.d@gmail.com> wrote:
>> It uses aria2 oder axel as download managers and apt-get --print-uris to get
>> download URLs.
> 
> What it omits is using the checksums included in that output and therefore
> falling victim to MITM attacks as it downloads directly to the archives dir
> which APT considers a safe harbor and so doesn't validate its content again.
> 
> (APT checks the filesize as it is basically a free check, but the time-
>  consuming calculation of checksums is omitted as this was already checked
>  at download time with the move from ./partial/ to its final storage space
>  and wouldn't improve security anyway as you would still have the time
>  between the check and dpkg calling for a local attack …)
Thank you to mention that! Checksums get now verified.

> 
> If there is really a need for a different methodology of downloading I would
> suggest to write a new apt-transport-* rather than a wrapper around the
> complete package manager. If people managed to bring bittorrent to APT this
> way, I am sure you can work out how to use your beloved $DOWNLOADMANAGER, too,
> if needed at all (yes, I have my doubts).
> 
> I presume it will be even shorter in size of code, secure and more robust -
> even if you write it in bash, which you can btw: It is a text interface.
> Oh, and try dir::cache::archives="/tmp" and you will know why apt-config has
> flags for these dir options instead of forcing people to build paths by hand.
Those config options are used. apt-fast downloads into
Dir::Cache::archives + "apt-fast" (but yes you can change it (still) in
config file).

> 
> In the meantime feel free to use services like http.debian.net or experiment
> with the mirror apt-transport which both don't depend on you being the only
> "lets add more own 'cars' to the traffic jam to get more through" person
> and the placebo effect.
> 
> 
> Best regards
> 
> David Kalnischkies ~ an "apt-slow" contributor
> 
Hehe (you like to rename apt?), thank you very much for your detailed
explanations!


Regards
Dominique
[0xB2E4F4F3.asc (application/pgp-keys, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#690183; Package wnpp. (Fri, 12 Oct 2012 06:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <w@uter.be>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Fri, 12 Oct 2012 06:39:04 GMT) Full text and rfc822 format available.

Message #52 received at 690183@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <w@uter.be>
To: Dominique Lasserre <lasserre.d@googlemail.com>
Cc: 690183@bugs.debian.org, Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
Subject: Re: Bug#690183: ITP: apt-fast -- shellscript wrapper for apt-get or aptitude
Date: Fri, 12 Oct 2012 08:36:07 +0200
On Thu, Oct 11, 2012 at 10:50:54PM +0200, Dominique Lasserre wrote:
> Hi,
> 
> wow, didn't thought there is much noise. Thank you all for your feedback!
> 
> I added mirror support to download files from multiple mirrors at once
> (aria2 only) and now md5 hashes are checked (thanks David for the
> hint!). aria2 supports this ootb so no big changes were needed on
> apt-fast itself.
> 
> 
> On 11/10/12 18:22, Wouter Verhelst wrote:
> > On Thu, Oct 11, 2012 at 09:59:35AM -0300, Lisandro Damián Nicanor Pérez Meyer wrote:
> >> Of course, being able to download stuff from two different servers at the same 
> >> time had a better end result, and as long as is one download at a time per 
> >> server, I think it can be considered socially acceptable.
> > 
> > Yes, which is why there's
> > 
> > Acquire::Queue-Mode "host";
> Nice "hidden" feature!
> 
> But this option and the mirror: protocol doesn't support downloading
> from multiple servers with same archive or am I missing something?

No, and for good reasons.

-- 
Copyshops should do vouchers. So that next time some bureaucracy requires you
to mail a form in triplicate, you can mail it just once, add a voucher, and
save on postage.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#690183; Package wnpp. (Sat, 13 Oct 2012 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Sat, 13 Oct 2012 14:30:03 GMT) Full text and rfc822 format available.

Message #57 received at 690183@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies@gmail.com>
To: Dominique Lasserre <lasserre.d@googlemail.com>, 690183@bugs.debian.org
Subject: Re: Bug#690183: ITP: apt-fast -- shellscript wrapper for apt-get or aptitude
Date: Sat, 13 Oct 2012 16:26:56 +0200
On Thu, Oct 11, 2012 at 10:51 PM, Dominique Lasserre
<lasserre.d@googlemail.com> wrote:
> On 11/10/12 16:52, David Kalnischkies wrote:
>> On Wed, Oct 10, 2012 at 11:53 PM, Dominique Lasserre
>> <lasserre.d@gmail.com> wrote:
>> Oh, and try dir::cache::archives="/tmp" and you will know why apt-config has
>> flags for these dir options instead of forcing people to build paths by hand.
> Those config options are used. apt-fast downloads into
> Dir::Cache::archives + "apt-fast" (but yes you can change it (still) in
> config file).

What I meant is that apt-fast combines the path itself.
With a setting like Dir::Cache::archives="/tmp" I would expect the
archives directory to be /tmp, but as the script reads Dir and Dir::Cache
separately and concatenates them I end up with /var/cache/apt/tmp.

So what apt-fast should do is using
apt-config shell APTCACHE Dir::Cache::archives/d
instead of building the path manually as it will take care of all that.
(relative/absolute paths, RootDir set or not, …)


Best regards

David Kalnischkies



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#690183; Package wnpp. (Mon, 15 Oct 2012 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Lasserre <lasserre.d@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Mon, 15 Oct 2012 21:12:03 GMT) Full text and rfc822 format available.

Message #62 received at 690183@bugs.debian.org (full text, mbox):

From: Dominique Lasserre <lasserre.d@googlemail.com>
To: 690183@bugs.debian.org
Cc: David Kalnischkies <kalnischkies@gmail.com>
Subject: Re: Bug#690183: ITP: apt-fast -- shellscript wrapper for apt-get or aptitude
Date: Mon, 15 Oct 2012 23:08:20 +0200
[Message part 1 (text/plain, inline)]
Hi,

On 13/10/12 16:26, David Kalnischkies wrote:
> What I meant is that apt-fast combines the path itself.
> With a setting like Dir::Cache::archives="/tmp" I would expect the
> archives directory to be /tmp, but as the script reads Dir and Dir::Cache
> separately and concatenates them I end up with /var/cache/apt/tmp.
> 
> So what apt-fast should do is using
> apt-config shell APTCACHE Dir::Cache::archives/d
> instead of building the path manually as it will take care of all that.
> (relative/absolute paths, RootDir set or not, …)
Just fixed that (also in another maintainer script). Thank you!

> 
> 
> Best regards
> 
> David Kalnischkies
> 

Regards
Dominique
[0xB2E4F4F3.asc (application/pgp-keys, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#690183; Package wnpp. (Wed, 21 Aug 2013 13:51:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Wed, 21 Aug 2013 13:51:40 GMT) Full text and rfc822 format available.

Message #67 received at 690183@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 690183@bugs.debian.org
Cc: control@bugs.debian.org
Subject: apt-fast: changing back from ITP to RFP
Date: Wed, 21 Aug 2013 15:44:10 +0200
retitle 690183 RFP: apt-fast -- shellscript wrapper for apt-get or aptitude
noowner 690183
tag 690183 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging apt-fast. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of apt-fast back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 10 months.

If you are still interested in packaging apt-fast, please send a mail to
<control@bugs.debian.org> with:

 retitle 690183 ITP: apt-fast -- shellscript wrapper for apt-get or aptitude
 owner 690183 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <690183@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: apt-fast -- shellscript wrapper for apt-get or aptitude' from 'ITP: apt-fast -- shellscript wrapper for apt-get or aptitude' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:56:17 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Dominique Lasserre <lasserre.d@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:56:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:33:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.